Skip to main content
GET
/
v2
/
mining
/
global-commodity
List Global Commodity Data
curl --request GET \
  --url https://api.sectors.app/v2/mining/global-commodity/ \
  --header 'Authorization: <authorization>'
[
    {
        "country": "Australia",
        "commodity_type": "Gold",
        "resources_reserves": 55000000,
        "resources_reserves_share": 18.5,
        "resources_reserves_unit": "ton",
        "export_import_usd": {
            "2023": {
                "export": 20.9,
                "import": 1.2
            }
        },
        "production_volume": {
            "2023": 296.1,
            "2024": 284.0
        },
        "production_share": {
            "2023": 8.13,
            "2024": 7.76
        },
        "production_volume_unit": "ton"
    }
]
[
    {
        "country": "Australia",
        "commodity_type": "Gold",
        "resources_reserves": 55000000,
        "resources_reserves_share": 18.5,
        "resources_reserves_unit": "ton",
        "export_import_usd": {
            "2023": {
                "export": 20.9,
                "import": 1.2
            }
        },
        "production_volume": {
            "2023": 296.1,
            "2024": 284.0
        },
        "production_share": {
            "2023": 8.13,
            "2024": 7.76
        },
        "production_volume_unit": "ton"
    }
]
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Query Parameters

country
string
Filter by a specific country (exact match, e.g., Australia).
commodity_type
string
Filter by a specific commodity (e.g., Gold, Nickel, Coal).
limit
integer
default:"20"
Number of results to return. Default: 20, Max: 30.
The response is a list of commodity data records.
country
string
The name of the country.
commodity_type
string
The type of commodity.
resources_reserves
number | null
The absolute volume of resources and reserves.
resources_reserves_share
number | null
The country’s percentage share of global resources and reserves.
resources_reserves_unit
string
Unit for resources and reserves.
export_import_usd
object | null
JSON object keyed by year: {"2023": {"export": ..., "import": ...}}.
production_volume
object | null
A dictionary map of years (YYYY) to production volumes.
production_share
object | null
A dictionary map of years (YYYY) to global production percentage shares.
production_volume_unit
string
Unit for production volume.